---
base: 'https://mappenvorbereitungskurs.de'
baseVariants:
  -
    base: 'https://mappenvorbereitungskurs.ddev.site'
    condition: 'applicationContext == "Development"'
  - base: 'https://uat.mappenvorbereitungskurs.de/'
    condition: 'applicationContext == "Production/Staging"'
disableStaticFileCache: false
errorHandling:
  -
    errorCode: '404'
    errorHandler: Page
    errorContentSource: 't3://page?uid=1911'
languages:
  -
    title: Deutsch
    enabled: true
    languageId: '0'
    base: /
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    navigationTitle: Deutsch
    hreflang: de
    direction: ltr
    flag: de
rootPageId: 2
routeEnhancers:
  News:
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      - routePath: '/'
        _controller: 'News::list'
      - routePath: '/page-{page}'
        _controller: 'News::list'
        _arguments:
          page: 'currentPage'
      - routePath: '/{news-title}'
        _controller: 'News::detail'
        _arguments:
          news-title: news
      - routePath: '/{category-name}'
        _controller: 'News::list'
        _arguments:
          category-name: overwriteDemand/categories
      - routePath: '/{tag-name}'
        _controller: 'News::list'
        _arguments:
          tag-name: overwriteDemand/tags
    defaultController: 'News::list'
    defaults:
      page: '1'
    requirements:
      page: '\d+'
      news_title: '^[a-zA-Z0-9].*$'
    aspects:
      news-title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      page:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      category-name:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
      tag-name:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_tag
        routeFieldName: slug
  PageTypeSuffix:
    type: PageType
    map:
      sitemap.xml: 1533906435
routes:
  -
    route: robots.txt
    type: staticText
    content: "User-Agent: *\r\nAllow: /\r\n\r\n# folders\r\nDisallow:
    /typo3/ \r\nDisallow:
    /typo3conf/\r\nAllow: /typo3conf/ext/\r\nAllow:
    /typo3temp/\r\n\r\n# parameters\r\nDisallow: /*?id=*
    # non-realurl URLs\r\nDisallow: /*cHash
    # no cHash\r\nDisallow: /*tx_powermail_pi1
    # no powermail thanks pages\r\nDisallow: /*tx_form_formframework
    # no forms\r\n\r\n# sitemap\r\nSitemap:
    https://akademieruhr.de/sitemap.xml"
